<?php
  // $Id: certify-view.tpl.php,v 1.5 2011/02/21 13:31:25 fuzzy76 Exp $

/**
 * @file
 * Theme file for the node view of certificates
 *
 * Lists conditions for a certificate, and the progress
 */

?>

<?php if (user_access('view certificate conditions')) { ?>

  <!-- QUIZZES -->

  <?php if (count($certificate->quizzes) > 0) { ?>
    <h3><?php echo t('Quizzes part of this certificate'); ?>:</h3>
    <ul class="certify_condlist">
    <?php foreach ($certificate->quizzes as $quiznodev => $quiz) { ?>
      <li><?php echo l($quiz->title, 'node/' . $quiz->nid); ?>
      <?php if (user_access('view own certificate progress') && !$quiz->score->passed) { ?>
        <span class="certify_failed">(<?php echo t('not passed'); ?>)</span>
      <?php } elseif (user_access('view own certificate progress') && $quiz->score->passed) { ?>
        <span class="certify_passed">(<?php echo t('passed'); ?>)</span>
      <?php } ?>
      </li>
    <?php } ?>
    </ul>
  <?php } ?>
  
  <!-- BOOKS -->
  
  <?php if (count($certificate->books) > 0) { ?>
    <h3><?php echo t('Books part of this certificate'); ?>:</h3>
    <ul class="certify_condlist">
    <?php foreach ($certificate->books as $book) { ?>
      <li><?php echo l($book->title, 'node/' . $book->nid); ?>
        <?php if (user_access('view own certificate progress') && $book->completed) { ?>
          <span class="certify_passed">(<?php echo t('read'); ?>)</span>
        <?php } elseif (user_access('view own certificate progress') && !$book->completed) { ?>
          <?php if ($book->showpages) { ?>
            <span class="certify_failed"><?php echo t('Unread pages:'); ?></span><ul>
              <?php foreach ($book->pages as $page) { ?>
                <?php if ($page['bid'] != $page['nid']) { ?>
                  <?php if (!$page['read']) { ?>
                    <li><?php echo l($page['title'], 'node/' . $page['nid']);?></li>
                  <?php } ?>
                <?php } ?>
              <?php } ?>
            </ul>
          <?php } else { ?>
            <span class="certify_failed">(<?php echo t('too many unread pages to show'); ?>)</span>
          <?php } ?>
        <?php } ?>
      </li>
    <?php } ?>
    </ul>
  <?php } ?>
  
<?php } ?>